Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 339)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 340)
@@ -95,7 +95,7 @@
 			extensions[i] = "*." + SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(i); //$NON-NLS-1$
 
 			// Store the default chart export file format index
-			if(TXMPreferences.getString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, "svg").equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
+			if(TXMPreferences.getString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, "svg").equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
 				defaultChartFormatIndex = i;
 			}
 		}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 339)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 340)
@@ -84,7 +84,7 @@
 			extensions[i] = "*." + SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i); //$NON-NLS-1$
 
 			// Store the default chart export file format index
-			if(TXMPreferences.getString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE).equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
+			if(TXMPreferences.getString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT).equals(SWTChartsComponentsProvider.getCurrent().getEditorSupportedExportFileFormats().get(i)))	{
 				defaultChartFormatIndex = i;
 			}
 		}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 339)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/ChartsEnginePreferencePage.java	(revision 340)
@@ -1,5 +1,8 @@
 package org.txm.chartsengine.rcp.preferences;
 
+import java.util.ArrayList;
+import java.util.TreeSet;
+
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.jface.preference.ColorFieldEditor;
@@ -12,6 +15,8 @@
 import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
+import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.core.preferences.TBXPreferences;
@@ -81,6 +86,22 @@
 		//((Text)font.getPreviewControl()).setLayoutData(new GridData(GridData.FILL_BOTH));
 		//System.out.println("ChartsEnginePreferencePage.createFieldEditors() " + font.getPreviewControl());
 		
+		
+		// export formats
+		ArrayList<String> supportedExportFormats = new ArrayList<String>();
+		supportedExportFormats.addAll(JFCChartsEngine.getSupportedOutputFileFormatsStatic());
+		
+		// Sort the set
+		TreeSet<String> formatsSet = new TreeSet <String>(supportedExportFormats);
+		String[] formats = formatsSet.toArray(new String[formatsSet.size()]);
+		
+		String[][] exportFormats = new String[formats.length][2];
+		for(int i = 0; i < formats.length; i++) {
+			exportFormats[i][0] = formats[i];
+			exportFormats[i][1] = formats[i];
+		}
+
+		this.addField(new ComboFieldEditor(ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, SWTComponentsProviderMessages.ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL, exportFormats, this.getFieldEditorParent()));
 	}
 	
 	
@@ -116,7 +137,7 @@
 				SWTChartsComponentsProvider.setCurrrentComponentsProvider(ChartsEngine.getCurrent());
 				
 				// Set the first charts engine supported export file format as default charts export file format
-				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
+				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.DEFAULT_EXPORT_FORMAT, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
 				
 				
 				// Set the new monochrome color for all charts engine theme
@@ -124,10 +145,10 @@
 					ChartsEngine.getChartsEngines().get(i).getTheme().setMonochromeColor(TXMPreferences.getString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.MONOCHROME_COLOR));
 				}
 				
-				
+				//FIXME: old code
 				// Refresh the User\Export preference page to update "Default charts export file format" combo box
-				PlatformUI.getWorkbench().getPreferenceManager().
-					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
+//				PlatformUI.getWorkbench().getPreferenceManager().
+//					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
 //			// FIXME: useless ?
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties	(revision 339)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties	(revision 340)
@@ -1,20 +1,24 @@
-ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL=Display format
-ChartsEnginePreferencePage_COMBO_FIELD_SELECT_ENGINE_LABEL=Current Engine
-ChartsEnginePreferencePage_LOG_RECREATING_CHARTS_ENGINE=Recreating Charts Engine and SWT chart components provider
-ChartsEnginePreferencePage_PreferencesWillBeAppliedToNewChart=These preferences will apply to new charts, previously created charts will not be affected.
-ChartsEnginePreferencePage_RenderingColorsMode=Rendering colors mode
-ChartsEnginePreferencePage_RenderingModeBlackAndWhite=Black and white
-ChartsEnginePreferencePage_RenderingModeColors=Colors
-ChartsEnginePreferencePage_RenderingModeGrayscale=Grayscale
-ChartsEnginePreferencePage_RenderingModeMonochrome=Monochrome
-ChartsEnginePreferencePage_RenderingMonochromeColor=Monochrome rendering color
-ChartsEngineSharedPreferencePage_CHARTS_RENDERING_DEFAULT_PREFERENCES=Charts rendering
-SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_CONCORDANCE=Send selection to concordance
-SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_COOCCURRENCE=Send selection to cooccurrence
-SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_INDEX=Send selection to index
-SWTChartsComponentProvider_SHOW_GRID=Show grid
-SWTChartsComponentProvider_SHOW_HIDE_GRID=Show/hide grid
-SWTChartsComponentProvider_SHOW_HIDE_LEGEND=Show/hide legend
-SWTChartsComponentProvider_SHOW_HIDE_TITLE=Show/hide title
-SWTChartsComponentProvider_SHOW_LEGEND=Show legend
-SWTChartsComponentProvider_SHOW_TITLE=Show title
\ No newline at end of file
+
+ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL = Display format
+ChartsEnginePreferencePage_COMBO_FIELD_SELECT_ENGINE_LABEL         = Current Engine
+ChartsEnginePreferencePage_COMBO_FIELD_SELECT_EXPORT_FORMAT_LABEL  = Export default format
+ChartsEnginePreferencePage_LOG_RECREATING_CHARTS_ENGINE            = Recreating Charts Engine and SWT chart components provider
+ChartsEnginePreferencePage_PreferencesWillBeAppliedToNewChart      = These preferences will apply to new charts, previously created charts will not be affected.
+ChartsEnginePreferencePage_RenderingColorsMode                     = Rendering colors mode
+ChartsEnginePreferencePage_RenderingModeBlackAndWhite              = Black and white
+ChartsEnginePreferencePage_RenderingModeColors                     = Colors
+ChartsEnginePreferencePage_RenderingModeGrayscale                  = Grayscale
+ChartsEnginePreferencePage_RenderingModeMonochrome                 = Monochrome
+ChartsEnginePreferencePage_RenderingMonochromeColor                = Monochrome rendering color
+
+ChartsEngineSharedPreferencePage_CHARTS_RENDERING_DEFAULT_PREFERENCES = Charts rendering
+
+SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_CONCORDANCE  = Send selection to concordance
+SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_COOCCURRENCE = Send selection to cooccurrence
+SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_INDEX        = Send selection to index
+SWTChartsComponentProvider_SHOW_GRID                             = Show grid
+SWTChartsComponentProvider_SHOW_HIDE_GRID                        = Show/hide grid
+SWTChartsComponentProvider_SHOW_HIDE_LEGEND                      = Show/hide legend
+SWTChartsComponentProvider_SHOW_HIDE_TITLE                       = Show/hide title
+SWTChartsComponentProvider_SHOW_LEGEND                           = Show legend
+SWTChartsComponentProvider_SHOW_TITLE                            = Show title
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 339)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/SWTComponentsProviderMessages.java	(revision 340)
@@ -8,7 +8,8 @@
 	private static final String BUNDLE_NAME = "org.txm.chartsengine.rcp.messages.messages"; //$NON-NLS-1$
 	
 	public static String ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL;
-
+	public static String ChartsEnginePreferencePage_COMBO_FIELD_SELECT_EXPORT_FORMAT_LABEL;
+	
 	public static String ChartsEnginePreferencePage_COMBO_FIELD_SELECT_ENGINE_LABEL;
 	public static String ChartsEnginePreferencePage_LOG_RECREATING_CHARTS_ENGINE;
 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages_fr.properties	(revision 339)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages_fr.properties	(revision 340)
@@ -1,40 +1,24 @@
 
 ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL = Format d'affichage
+ChartsEnginePreferencePage_COMBO_FIELD_SELECT_ENGINE_LABEL         = Moteur de graphiques courant
+ChartsEnginePreferencePage_COMBO_FIELD_SELECT_EXPORT_FORMAT_LABEL  = Format d'export par défaut
+ChartsEnginePreferencePage_LOG_RECREATING_CHARTS_ENGINE            = Réinitialisation du moteur de production de graphiques et du fournisseur de composants SWT
+ChartsEnginePreferencePage_PreferencesWillBeAppliedToNewChart      = Ces préférences seront appliquées aux nouveaux graphiques. Les graphiques précédemment créés ne seront pas affectés.
+ChartsEnginePreferencePage_RenderingColorsMode                     = Mode de rendu des couleurs
+ChartsEnginePreferencePage_RenderingModeBlackAndWhite              = Noir et blanc
+ChartsEnginePreferencePage_RenderingModeColors                     = Couleurs
+ChartsEnginePreferencePage_RenderingModeGrayscale                  = Niveaux de gris
+ChartsEnginePreferencePage_RenderingModeMonochrome                 = Monochrome
+ChartsEnginePreferencePage_RenderingMonochromeColor                = Couleur du rendu monochrome
 
-ChartsEnginePreferencePage_COMBO_FIELD_SELECT_ENGINE_LABEL = Moteur de graphiques courant
-
-ChartsEnginePreferencePage_LOG_RECREATING_CHARTS_ENGINE = Réinitialisation du moteur de production de graphiques et du fournisseur de composants SWT
-
-ChartsEnginePreferencePage_PreferencesWillBeAppliedToNewChart = Ces préférences seront appliquées aux nouveaux graphiques. Les graphiques précédemment créés ne seront pas affectés.
-
-ChartsEnginePreferencePage_RenderingColorsMode = Mode de rendu des couleurs
-
-ChartsEnginePreferencePage_RenderingModeBlackAndWhite = Noir et blanc
-
-ChartsEnginePreferencePage_RenderingModeColors = Couleurs
-
-ChartsEnginePreferencePage_RenderingModeGrayscale = Niveaux de gris
-
-ChartsEnginePreferencePage_RenderingModeMonochrome = Monochrome
-
-ChartsEnginePreferencePage_RenderingMonochromeColor = Couleur du rendu monochrome
-
 ChartsEngineSharedPreferencePage_CHARTS_RENDERING_DEFAULT_PREFERENCES = Rendu des graphiques
 
-SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_CONCORDANCE = Envoyer la sélection vers la concordance
-
+SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_CONCORDANCE  = Envoyer la sélection vers la concordance
 SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_COOCCURRENCE = Envoyer la sélection vers la cooccurrence
-
-SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_INDEX = Envoyer la sélection vers l'index
-
-SWTChartsComponentProvider_SHOWHIDE__TITLE = Afficher/masquer le titre
-
-SWTChartsComponentProvider_SHOW_GRID = Afficher la grille
-
-SWTChartsComponentProvider_SHOW_HIDE_GRID = Afficher/masquer la grille
-
-SWTChartsComponentProvider_SHOW_HIDE_LEGEND = Afficher/masquer la légende
-
-SWTChartsComponentProvider_SHOW_LEGEND = Afficher la légende
-
-SWTChartsComponentProvider_SHOW_TITLE = Afficher le titre
+SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_INDEX        = Envoyer la sélection vers l'index
+SWTChartsComponentProvider_SHOWHIDE__TITLE                       = Afficher/masquer le titre
+SWTChartsComponentProvider_SHOW_GRID                             = Afficher la grille
+SWTChartsComponentProvider_SHOW_HIDE_GRID                        = Afficher/masquer la grille
+SWTChartsComponentProvider_SHOW_HIDE_LEGEND                      = Afficher/masquer la légende
+SWTChartsComponentProvider_SHOW_LEGEND                           = Afficher la légende
+SWTChartsComponentProvider_SHOW_TITLE                            = Afficher le titre
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/preferences/JFCChartsEnginePreferences.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/preferences/JFCChartsEnginePreferences.java	(revision 339)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/preferences/JFCChartsEnginePreferences.java	(revision 340)
@@ -4,6 +4,7 @@
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
+import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.core.preferences.TXMPreferences;
 
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 339)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 340)
@@ -34,18 +34,13 @@
 
 import org.eclipse.jface.preference.ComboFieldEditor;
 import org.eclipse.ui.IWorkbench;
-import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
-import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.preferences.ExportPreferencePage;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
-import org.txm.rcp.preferences.UserPreferencePage;
 
 /**
  * JFreeChart charts engine preference page.
@@ -62,9 +57,8 @@
 		// TODO : add JFC Themes selection?
 
 
+		// output formats
 		ArrayList<String> supportedOutputFormats = new ArrayList<String>();
-		
-		
 		supportedOutputFormats.addAll(JFCChartsEngine.getSupportedOutputDisplayFormatsStatic());
 		supportedOutputFormats.addAll(JFCChartsEngine.getSupportedOutputFileFormatsStatic());
 		
@@ -79,6 +73,7 @@
 		}
 
 		this.addField(new ComboFieldEditor(JFCChartsEnginePreferences.OUTPUT_FORMAT, SWTComponentsProviderMessages.ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL, displayFormats, this.getFieldEditorParent()));
+		
 	}
 	
 	
@@ -98,13 +93,14 @@
 			// Sets the new current charts SWT component provider according to the output format if the charts engine is the current one
 			if(ChartsEngine.getCurrent() instanceof JFCChartsEngine)	{
 				SWTChartsComponentsProvider.setCurrrentComponentsProvider(ChartsEngine.getCurrent());
-	
-				// Set the first charts engine supported export file format as default charts export file format
-				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
-					
-				// Refresh the User\Export preference page to update "Default charts export file format" combo box
-				PlatformUI.getWorkbench().getPreferenceManager().
-						find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
+
+				//FIXME: old code
+//				// Set the first charts engine supported export file format as default charts export file format
+//				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
+//					
+//				// Refresh the User\Export preference page to update "Default charts export file format" combo box
+//				PlatformUI.getWorkbench().getPreferenceManager().
+//						find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			}
 
Index: tmp/CQP/src/cwbinstaller/commands/DoInstallStep.java
===================================================================
--- tmp/CQP/src/cwbinstaller/commands/DoInstallStep.java	(revision 339)
+++ tmp/CQP/src/cwbinstaller/commands/DoInstallStep.java	(revision 340)
@@ -8,8 +8,6 @@
 import org.osgi.framework.Version;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.TxmPreferences;
-import org.txm.rcp.preferences.CQPPreferencePage;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
 
Index: tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 339)
+++ tmp/org.txm.chartsengine.r.rcp/src/org/txm/rcp/chartsengine/r/preferences/RChartsEnginePreferencePage.java	(revision 340)
@@ -37,6 +37,8 @@
 import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
+import org.txm.chartsengine.jfreechart.core.preferences.JFCChartsEnginePreferences;
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.chartsengine.r.core.preferences.RChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
@@ -77,6 +79,7 @@
 		}
 
 		addField(new ComboFieldEditor(RChartsEnginePreferences.OUTPUT_FORMAT, SWTComponentsProviderMessages.ChartsEnginePreferencePage_COMBO_FIELD_SELECT_DISPLAY_FORMAT_LABEL, displayFormats, getFieldEditorParent()));
+		
 	}
 	
 	
@@ -99,13 +102,14 @@
 			// Sets the new current charts SWT component provider according to the output format if the charts engine is the current one
 			if(ChartsEngine.getCurrent() instanceof RChartsEngine)	{
 				SWTChartsComponentsProvider.setCurrrentComponentsProvider(ChartsEngine.getCurrent());
-				
+
+				//FIXME: old code
 				// Set the first charts engine supported export file format as default charts export file format
-				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
-				
-				// Refresh the User\Export preference page to update "Default charts export file format" combo box
-				PlatformUI.getWorkbench().getPreferenceManager().
-					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
+//				TXMPreferences.putString(ChartsEnginePreferences.PREFERENCES_NODE, ChartsEnginePreferences.RDEVICE, ChartsEngine.getCurrent().getSupportedOutputFileFormats().get(0));
+//				
+//				// Refresh the User\Export preference page to update "Default charts export file format" combo box
+//				PlatformUI.getWorkbench().getPreferenceManager().
+//					find("org.txm.rcp.preferences.TextometriePreferencePage/" + UserPreferencePage.ID + "/" + ExportPreferencePage.ID).createPage(); //$NON-NLS-1$ //$NON-NLS-2$
 
 			}
 			
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 339)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 340)
@@ -56,8 +56,10 @@
 	 */
 	public final static String MONOCHROME_COLOR = PREFERENCES_PREFIX +  "monochrome_color"; //$NON-NLS-1$
 	
-	/** The Constant RDEVICE. */
-	public static final String RDEVICE = "export_format"; //$NON-NLS-1$
+	/**
+	 * Constant for the default export format.
+	 */
+	public static final String DEFAULT_EXPORT_FORMAT = PREFERENCES_PREFIX +  "default_export_format"; //$NON-NLS-1$
 	
 	/**
 	 * Constant for the font.
@@ -76,7 +78,7 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		
 		preferences.put(CURRENT_NAME, "jfreechart_charts_engine"); //$NON-NLS-1$
-		preferences.put(RDEVICE, "svg");
+		preferences.put(DEFAULT_EXPORT_FORMAT, "svg");
 
 		
 		initializeChartsEngineSharedPreferences(preferences);
